<section class="content-header">
  <a [routerLink]="['/settings']">
    <svg class="icon_user_management" shape-rendering="geometricPrecision" width="10" height="10">
      <use xlink:href="./assets/dist/img/icons.svg#icon_back"></use>
    </svg> Settings</a>
  <h1 style="margin-top:10px">
    Roles
  </h1>
  <ol class="breadcrumb">
    <li>
      <input type="button" class="btn btn-net-primary" (click)="ShowRoleForm(roleModal)" value="Add Role" />
    </li>
  </ol>
</section>


<section class="content" *ngIf="roles.length > 0 && loading == false">
  <div class="box">
    <div class="box-body" style="padding: 0px 10px;border: solid 1px #ccc;border-radius: 3px;">
      <div id="example1_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
        <div class="row">
          <div class="col-lg-12" style="padding: 0px 5px">
            <table class="table table-bordered table-striped dataTable table-hover" style="margin-bottom: 0px">
              <thead>
                <tr>
                  <th width="100">
                  </th>
                  <th>Role </th>
                  <th>CreatedBy</th>
                  <th>UpdatedBy</th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let r of roles">
                  <td>
                    <a (click)="ShowFeatureModel(featureModal, r.roleId)" title="Assign Feature">
                      <svg class="icon_edit" shape-rendering="geometricPrecision" width="25" height="25" class="btn-xs">
                        <use xlink:href="./assets/dist/img/icons.svg#icon_edit"></use>
                      </svg>
                    </a>
                    <a (click)="ShowDeleteModal(alertModal, r.roleId)" title="Delete Role">
                      <svg class="icon_delete" shape-rendering="geometricPrecision" width="25" height="25" class="btn-xs">
                        <use xlink:href="./assets/dist/img/icons.svg#icon_delete"></use>
                      </svg>
                    </a>
                  </td>
                  <td>
                    {{r.role}}
                  </td>
                  <td>{{r.createdBy}}</td>
                  <td>{{r.updatedBy}}</td>
                </tr>
                <tr *ngIf="roles.length == 0 && loading == true">
                  <td colspan="4" class="text-center">
                    <svg id="icon_loading" width="60" height="60" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 100 100"
                      preserveAspectRatio="xMidYMid" class="lds-eclipse" style="background:0 0">
                      <path d="M9.998 50.08a40 40 0 0 0 80-.16 40 42-.115 0 1-80 .16" fill="#0067C5">
                        <animateTransform attributeName="transform" type="rotate" calcMode="linear" values="0 50 51;360 50 51"
                          keyTimes="0;1" dur="1s" begin="0s" repeatCount="indefinite" />
                      </path>
                    </svg>
                  </td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
<section class="content" *ngIf="roles.length == 0 && loading == true">
  <div class="box bg-shade">
    <div class="box-body" style="padding: 0px 10px;border: solid 1px #ccc;border-radius: 3px;">
      <div id="example1_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
        <div class="row">
          <div class="col-lg-12" style="padding: 0px 5px">
            <table>
              <thead>
                <tr>
                  <td class="td-5">
                    <span></span>
                  </td>
                </tr>
              </thead>
              <tbody>
                <tr>
                  <td class="td-3">
                    <span></span>
                  </td>
                </tr>
                <tr>
                  <td class="td-3">
                    <span></span>
                  </td>
                </tr>
                <tr>
                  <td class="td-3">
                    <span></span>
                  </td>
                </tr>
                <tr>
                  <td class="td-3">
                    <span></span>
                  </td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
    <!-- /.box-body -->
  </div>
</section>
<modal #roleModal>
  <modal-header>
    <span>Add Role</span>
  </modal-header>
  <modal-content>
    <div class="row" style="margin-left:0px">
      <form #Loginform="ngForm" class="form-horizontal" novalidate (ngSubmit)="OnSubmit(roleModal)">
        <!-- form start -->
        <div class="form-group col-md-12" [ngClass]="{'has-error' : role.error?.required && role.touched}">
          <label>Role</label>
          <input type="text" class="form-control" [(ngModel)]="roleModel.role" name="role" placeholder="Role name"
            #role="ngModel" required placeholder="Role name" />
          <span class="help-block small" *ngIf="role.errors?.required && role.touched">
            Required </span>
        </div>
      </form>
    </div>
    <!-- end form -->
  </modal-content>
  <modal-footer>
    <div class="col-md-2 pull-right">
      <button type="submit" class="btn btn-net-primary" (click)="OnSubmit(roleModal)" [disabled]="!Loginform.valid">
        Submit
      </button>
    </div>
    <div class="col-md-2 pull-right">
      <button class="btn btn-default" (click)="roleModal.close()">
        Cancel
      </button>
    </div>
  </modal-footer>
</modal>

<modal #alertModal>
  <modal-header>
    <span>Alert!</span>
  </modal-header>
  <modal-content>
    Are you sure, you want to delete?
  </modal-content>
  <modal-footer>
    <button class="btn btn-default" (click)="Cancel(alertModal)">
      No
    </button>
    <button type="submit" class="btn btn-danger" (click)="DeleteRole(alertModal)">Yes</button>
  </modal-footer>
</modal>

<modal #featureModal>
  <modal-header>
    <span style="margin:0px">Assign Feature</span>
  </modal-header>
  <modal-content>
    <div class="row">
      <div class="col-md-12">
        <div class="ui-select__wrapper next-input--has-content">
          <select class="ui-select" [(ngModel)]="selectedFeature" (change)="SelectApplication(selectedFeature)">
            <option *ngFor="let f of features" [ngValue]="f">{{f.featureName}}</option>
          </select>
          <svg class="icon_up_down_select" shape-rendering="geometricPrecision" class="next-icon next-icon--size-16"
            width="13" height="13">
            <use xlink:href="./assets/dist/img/icons.svg#icon_up_down_select"></use>
          </svg>
        </div>
      </div>
      <div class="col-md-12">&nbsp;</div>
      <div class="col-md-12">
        <div class="box">
          <div class="box-body">
            <div class="form-group col-md-5 margin-0 padding-0">
              <span>
                Assign Feature
              </span>
              <select multiple="multiple" [(ngModel)]="addNewFeature" style="width:100%;height:200px">
                <option value="{{f.featureId}}" *ngFor="let f of featuresList">{{f.featureName}}</option>
              </select>
            </div>
            <div class="form-group col-md-2 margin-0 text-center" style="height:200px">
              <div class="col-md-12 padding-0" style="vertical-align:middle;height:150px">
                <span>
                  <svg class="icon_double_right_arrows_angles" shape-rendering="geometricPrecision" width="25" height="25"
                    (click)="AddRole()" style="border: solid 1px #ddd;padding: 5px;border-radius: 50%;margin-top:55px;background: #f7f7f7">
                    <use xlink:href="./assets/dist/img/icons.svg#icon_double_right_arrows_angles"></use>
                  </svg>
                </span>
              </div>
              <div class="col-md-12 padding-0">
                <span>
                  <svg class="icon_double_left_arrows_angles" shape-rendering="geometricPrecision" width="25" height="25"
                    (click)="RemoveRole()" style="border: solid 1px #ddd;padding: 5px;border-radius: 50%;background: #f7f7f7">
                    <use xlink:href="./assets/dist/img/icons.svg#icon_double_left_arrows_angles"></use>
                  </svg>
                </span>
              </div>
            </div>
            <div class="form-group col-md-5 margin-0 padding-0">
              <span>
                Assigned Feature
              </span>
              <select multiple="multiple" [(ngModel)]="removeSelectedFeatures" style="width:100%;height:200px">
                <option value="{{f.featureId}}" *ngFor="let f of selectedFeatures">{{f.featureName}}</option>
              </select>
            </div>
          </div>
        </div>
      </div>
    </div>
  </modal-content>
</modal>